/*******************************************************************************
 * Copyright (c) 2007 BEA Systems, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/

package org.example.processor.internal;

import java.util.Set;

import javax.annotation.processing.AbstractProcessor;
import javax.annotation.processing.Filer;
import javax.annotation.processing.Messager;
import javax.annotation.processing.RoundEnvironment;
import javax.annotation.processing.SupportedAnnotationTypes;
import javax.lang.model.element.TypeElement;

@SupportedAnnotationTypes({ "" }) // TODO add in your annotation type, e.g., "anno.MyAnno"
public class Processor extends AbstractProcessor {
	
	// The env itself is already declared in the superclass:
	// protected ProcessingEnvironment processingEnv;
	private final Messager _messager;
	private final Filer _filer;
	
	public Processor() {
		super();
		_messager = processingEnv.getMessager();
		_filer = processingEnv.getFiler();
	}

	@Override
	public boolean process(Set<? extends TypeElement> annotations,
			RoundEnvironment roundEnv) {
		
		// TODO add your processing code.
		
		return false;
	}

}
